#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnetfilter_log
Version		:	1.0.2
Release		:	14.4.0.0%{?dist}
Summary		:	Netfilter netlink userspace library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.netfilter.org/projects/libnetfilter_log

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libnfnetlink-devel
BuildRequires	:	libmnl-devel

#-----------------------------------------------------------------------------
%description
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging.

libnetfilter_log has been previously known as libnfnetlink_log.

libnetfilter_log is used by ulogd2.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/%{name}*.so.*

#=============================================================================
%package		devel

Summary		:	Netfilter logging userspace library

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
Requires	:       pkg-config
Requires	:	linux-headers
#-----------------------------------------------------------------------------
%description		devel
libnetfilter_log is a userspace library providing
interface to packets that have been logged by the
kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging.
 
libnetfilter_log has been previously known as libnfnetlink_log.
 
libnetfilter_log is used by ulogd2.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_libipulog.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-man-pages				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_prefix}/lib/%{name}
%{__mv}							\
	 %{buildroot}%{_libdir}/*.la 			\
	 %{buildroot}%{_prefix}/lib/%{name} 
	

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
